<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: site_links.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Infused Theme Control Panel
| Filename: infused_theme_control_panel_settings.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
include INFUSIONS."infused_theme_control_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";
if (!checkrights("IFC") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."infused_theme_control_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."infused_theme_control_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."infused_theme_control_panel/locale/English.php";
}

require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/sitelinks.php";

add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/jquery-ui.js'></script>");
add_to_head("<link rel='stylesheet' href='".THEMES."templates/site_links.css' type='text/css' media='all' />");
add_to_head("<script type='text/javascript'>
$(document).ready(function() {
	$('.site-links').sortable({
		handle : '.handle',
		placeholder: 'state-highlight',
		connectWith: '.connected',
		scroll: true,
		axis: 'y',
		update: function () {
			var ul = $(this),
				order = ul.sortable('serialize'),
				i = 0;
			$('#info').load('infused_theme_links_updater.php".$aidlink."&'+order);
			ul.find('.num').each(function(i) {
				$(this).text(i+1);
			});
			ul.find('li').removeClass('tbl2').removeClass('tbl1');
			ul.find('li:odd').addClass('tbl2');
			ul.find('li:even').addClass('tbl1');
			window.setTimeout('closeDiv();',2500);
		}
	});
});
</script>");

add_to_title($locale['global_200']." ".$locale['itc_001']."");

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['411'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['412'];
	} elseif ($_GET['status'] == "revert") {
		$message = "<strong>".$locale['itc_052']."</strong>";
		}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_GET['statusb']) && !isset($messageb)) {
	if ($_GET['statusb'] == "su") {
	$messageb = $locale['itc_004'];
	} elseif ($_GET['statusb'] == "nsu") {
	$messageb = $locale['itc_005'];
	} elseif($_GET['statusb'] == "nls") {
	$messageb = $locale['itc_005b'];
	}elseif($_GET['statusb'] == "err") {
	$messageb = $locale['itc_005c'];
	}
	if ($messageb) {	echo "<div id='close-message'><div class='admin-message'>".$messageb."</div></div>\n"; }
	}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['link_id']) && isnum($_GET['link_id']))) {
	$data = dbarray(dbquery("SELECT link_order FROM ".DB_INFUSED_THEME_LINKS." WHERE link_id='".$_GET['link_id']."'"));
	$result = dbquery("UPDATE ".DB_INFUSED_THEME_LINKS." SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
	$result = dbquery("DELETE FROM ".DB_INFUSED_THEME_LINKS." WHERE link_id='".$_GET['link_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");



}else
$count_links = dbcount("(link_id)", DB_INFUSED_THEME_LINKS);


if (isset($_POST['savelink'])  && $_POST['link_name'] !==""  && $_POST['link_url'] !=="") {

	$link_name = stripinput($_POST['link_name']);
	$link_url = stripinput($_POST['link_url']);
	$link_visibility = isnum($_POST['link_visibility']) ? $_POST['link_visibility'] : "0";
	$link_window = isset($_POST['link_window']) ? $_POST['link_window'] : "0";
	$link_order = isnum($_POST['link_order']) ? $_POST['link_order'] : "";
	if ($link_name && $link_url) {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['link_id']) && isnum($_GET['link_id']))) {
			$old_link_order = dbresult(dbquery("SELECT link_order FROM ".DB_INFUSED_THEME_LINKS." WHERE link_id='".$_GET['link_id']."'"), 0);
			if ($link_order > $old_link_order) {
				$result = dbquery("UPDATE ".DB_INFUSED_THEME_LINKS." SET link_order=link_order-1 WHERE link_order>'$old_link_order' AND link_order<='$link_order'");
			} elseif ($link_order < $old_link_order) {
				$result = dbquery("UPDATE ".DB_INFUSED_THEME_LINKS." SET link_order=link_order+1 WHERE link_order<'$old_link_order' AND link_order>='$link_order'");
			}
			$result = dbquery("UPDATE ".DB_INFUSED_THEME_LINKS." SET link_name='$link_name', link_url='$link_url', link_visibility='$link_visibility', link_window='$link_window', link_order='$link_order' WHERE link_id='".$_GET['link_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			if (!$link_order) { $link_order = dbresult(dbquery("SELECT MAX(link_order) FROM ".DB_INFUSED_THEME_LINKS.""), 0) + 1; }
			$result = dbquery("UPDATE ".DB_INFUSED_THEME_LINKS." SET link_order=link_order+1 WHERE link_order>='$link_order'");
			if ( $count_links < 5) { $result = dbquery("INSERT INTO ".DB_INFUSED_THEME_LINKS." (link_name, link_url, link_visibility, link_window, link_order) VALUES ('$link_name', '$link_url', '$link_visibility', '$link_window', '$link_order')");
			}else{
			redirect(FUSION_SELF.$aidlink."&statusb=nls");
			}
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else {
		redirect(FUSION_SELF.$aidlink);
	}

}elseif(isset($_POST['savelink'])) {
redirect(FUSION_SELF.$aidlink."&statusb=err");
}




if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['link_id']) && isnum($_GET['link_id']))) {
	$result = dbquery("SELECT link_name, link_url, link_visibility, link_order, link_window FROM ".DB_INFUSED_THEME_LINKS." WHERE link_id='".$_GET['link_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$link_name = $data['link_name'];
		$link_url = $data['link_url'];
		$link_visibility = $data['link_visibility'];
		$link_order = $data['link_order'];
		$window_check = ($data['link_window']=="1" ? " checked='checked'" : "");
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;link_id=".$_GET['link_id'];
		opentable($locale['401']);
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
	$link_name = "";
	$link_url = "";
	$link_visibility = "";
	$link_order = "";
	$window_check = "";
	$formaction = FUSION_SELF.$aidlink;
	opentable($locale['400']);
}
$visibility_opts = ""; $sel = "";
$user_groups = getusergroups();
while(list($key, $user_group) = each($user_groups)){
	$sel = ($link_visibility == $user_group['0'] ? " selected='selected'" : "");
	$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
}
require_once INCLUDES."bbcode_include.php";

echo "<form name='layoutform' method='post' action='".$formaction."'>\n";
echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
echo "<td class='tbl'>".$locale['420']."</td>\n";
echo "<td class='tbl'><input type='text' name='link_name' value='".$link_name."' maxlength='100' class='textbox' style='width:240px;' /><br />\n";
echo "</td>\n</tr>\n<tr>\n";
echo "<td class='tbl'></td>\n<td class='tbl'>";
echo display_bbcodes("240px;", "link_name", "layoutform", "b|i|u|color|img")."\n";
echo "</td>\n</tr>\n<tr>\n";
echo "<td class='tbl'>".$locale['421']."</td>\n";
echo "<td class='tbl'><input type='text' name='link_url' value='".$link_url."' maxlength='200' class='textbox' style='width:240px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>".$locale['422']."</td>\n";
echo "<td class='tbl'><select name='link_visibility' class='textbox' style='width:150px;'>\n".$visibility_opts."</select>\n";
echo $locale['423']."\n<input type='text' name='link_order'  value='".$link_order."' maxlength='3' class='textbox' style='width:40px;' />";
echo "</td>\n</tr>\n<tr>\n";
echo "<td valign='top' class='tbl'></td>\n";
echo "<td class='tbl'><label><input type='checkbox' name='link_window' value='1'".$window_check." /> ".$locale['428']."</label></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'>\n";
echo "<input type='submit' name='savelink' value='".$locale['429']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

opentable($locale['402']);



$result = dbquery("SELECT link_id, link_name, link_url, link_visibility, link_order FROM ".DB_INFUSED_THEME_LINKS." ORDER BY link_order");
if (dbrows($result)) {
echo "<div style='text-align: center; margin-bottom: 2px;'>".$locale['itc_006']."</div>\n";
echo "<div id='info'></div>\n";
echo "<div style='width:500px;' class='panels tbl-border center floatfix'><div class='tbl2'>\n";
echo "<div style='float:left; padding-left:30px;'><strong>".$locale['440']."</strong></div>\n";
echo "<div style='float:right; width:100px; text-align:center;'><strong>".$locale['443']."</strong></div>\n";
echo "<div style='float:right; width:15%; text-align:center;'><strong>".$locale['442']."</strong></div>\n";
echo "<div style='float:right; width:15%; text-align:center;'><strong>".$locale['441']."</strong></div>\n";
echo "<div style='clear:both;'></div>\n</div>\n";
echo "<ul id='site-links' style='list-style: none;' class='site-links connected'>\n";
	$i = 0;
	while($data = dbarray($result)) {
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo "<li id='listItem_".$data['link_id']."' class='".$row_color."'>\n";
		echo "<div style='float:left; width:30px;'><img src='".IMAGES."arrow.png' alt='move' class='handle' /></div>\n";
		echo "<div style='float:left;'>\n";

			if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
				echo "<a href='".$data['link_url']."'>".parseubb($data['link_name'], "b|i|u|color|img")."</a>\n";
			} else {
				echo "<a href='".BASEDIR.$data['link_url']."'>".parseubb($data['link_name'], "b|i|u|color|img")."</a>\n";
			}


		echo "</div>\n";
		echo "<div style='float:right; width:100px; text-align:center;'>";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;link_id=".$data['link_id']."'>".$locale['444']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;link_id=".$data['link_id']."' onclick=\"return confirm('".$locale['460']."');\">".$locale['445']."</a>\n";
		echo "</div>\n";
		echo "<div class='num' style='float:right; width:15%; text-align:center;'>".$data['link_order']."</div>\n";
		echo "<div style='float:right; width:15%; text-align:center;'>".getgroupname($data['link_visibility'])."</div>\n";
		echo "<div style='clear:both;'></div>\n";
		echo "</li>\n";
		$i++;
	}
echo "</ul>\n</div>";
} else {
	echo "<div style='text-align:center;margin-top:5px'>".$locale['446']."</div>\n";
}
closetable();


	if (isset($_POST['save']) && $_POST['infused_theme_control_themewidth'] !=""  && $_POST['infused_theme_control_themewidth'] > 69 && $_POST['infused_theme_control_themewidth'] < 101) {
	$resultb = dbquery("UPDATE ".DB_INFUSED_THEME_SETTINGS." SET
	infused_theme_control_bgcolour='".addslashes($_POST['infused_theme_control_bgcolour'])."',
	infused_theme_control_shadowcolour='".addslashes($_POST['infused_theme_control_shadowcolour'])."',
	infused_theme_control_linkstextcolour='".addslashes($_POST['infused_theme_control_linkstextcolour'])."',
	infused_theme_control_linkstexthovercolour='".addslashes($_POST['infused_theme_control_linkstexthovercolour'])."',
	infused_theme_control_linksbackgroundhovercolour='".addslashes($_POST['infused_theme_control_linksbackgroundhovercolour'])."',
	infused_theme_control_linksbackgroundhoverimagecolour='".addslashes($_POST['infused_theme_control_linksbackgroundhoverimagecolour'])."',
	infused_theme_control_linksbackgroundcolour='".addslashes($_POST['infused_theme_control_linksbackgroundcolour'])."',
	infused_theme_control_submitbordercolour='".addslashes($_POST['infused_theme_control_submitbordercolour'])."',
	infused_theme_control_inputboxshadowcolour ='".addslashes($_POST['infused_theme_control_inputboxshadowcolour'])."',
	infused_theme_control_inputboxcolour ='".addslashes($_POST['infused_theme_control_inputboxcolour'])."',
	infused_theme_control_radius='".addslash($_POST['infused_theme_control_radius'])."',
	infused_theme_control_capmain_start ='".addslashes($_POST['infused_theme_control_capmain_start'])."',
	infused_theme_control_capmain_end ='".addslashes($_POST['infused_theme_control_capmain_end'])."',
	infused_theme_control_scapmain_start ='".addslashes($_POST['infused_theme_control_scapmain_start'])."',
	infused_theme_control_scapmain_end ='".addslashes($_POST['infused_theme_control_scapmain_end'])."',
	infused_theme_control_themelinks ='".addslashes($_POST['infused_theme_control_themelinks'])."',
	infused_theme_control_themelinkshover ='".addslashes($_POST['infused_theme_control_themelinkshover'])."',
	infused_theme_control_themetextcolour ='".addslashes($_POST['infused_theme_control_themetextcolour'])."',
	infused_theme_control_themecaptextcolour ='".addslashes($_POST['infused_theme_control_themecaptextcolour'])."',
	infused_theme_control_themescaptextcolour ='".addslashes($_POST['infused_theme_control_themescaptextcolour'])."',
	infused_theme_control_themetextboxbgcolour ='".addslashes($_POST['infused_theme_control_themetextboxbgcolour'])."',
	infused_theme_control_themetextboxtextcolour ='".addslashes($_POST['infused_theme_control_themetextboxtextcolour'])."',
	infused_theme_control_themetextboxbgcolourhover ='".addslashes($_POST['infused_theme_control_themetextboxbgcolourhover'])."',
	infused_theme_control_themetextboxtextcolourhover ='".addslashes($_POST['infused_theme_control_themetextboxtextcolourhover'])."',
	infused_theme_control_themesubmitbuttonbgcolour ='".addslashes($_POST['infused_theme_control_themesubmitbuttonbgcolour'])."',
	infused_theme_control_themesubmitbuttontextcolour ='".addslashes($_POST['infused_theme_control_themesubmitbuttontextcolour'])."',
	infused_theme_control_themesubmitbuttonbgcolourhover ='".addslashes($_POST['infused_theme_control_themesubmitbuttonbgcolourhover'])."',
	infused_theme_control_themesubmitbuttontextcolourhover ='".addslashes($_POST['infused_theme_control_themesubmitbuttontextcolourhover'])."',
	infused_theme_control_themeadminmsgbgcolour ='".addslashes($_POST['infused_theme_control_themeadminmsgbgcolour'])."',
	infused_theme_control_themeadminmsgtextcolour ='".addslashes($_POST['infused_theme_control_themeadminmsgtextcolour'])."',
	infused_theme_control_themewidth ='".addslashes($_POST['infused_theme_control_themewidth'])."',
	infused_theme_control_showbanner='".(isNum($_POST['infused_theme_control_showbanner']) ? $_POST['infused_theme_control_showbanner'] : "0")."',
	infused_theme_control_totop='".(isNum($_POST['infused_theme_control_totop']) ? $_POST['infused_theme_control_totop'] : "0")."',
	infused_theme_control_showbannerbgcolour ='".addslashes($_POST['infused_theme_control_showbannerbgcolour'])."',
	infused_theme_control_enableheadstrip='".(isNum($_POST['infused_theme_control_enableheadstrip']) ? $_POST['infused_theme_control_enableheadstrip'] : "0")."',
	infused_theme_control_newsinfopos='".(isNum($_POST['infused_theme_control_newsinfopos']) ? $_POST['infused_theme_control_newsinfopos'] : "0")."'
	");

	if (!$resultb) {
	redirect(FUSION_SELF.$aidlink."&statusb=nsu");
	} else {
	redirect(FUSION_SELF.$aidlink."&statusb=su");
	}
	}

	if ((isset($_GET['action']) && $_GET['action'] == "revert")) {
		$result = dbquery("UPDATE ".DB_INFUSED_THEME_SETTINGS." SET infused_theme_control_bgcolour='af2b26', infused_theme_control_shadowcolour='942422', infused_theme_control_linkstextcolour='FFFFFF', infused_theme_control_linkstexthovercolour='FFFFFF', infused_theme_control_linksbackgroundhovercolour='5C5D61', infused_theme_control_linksbackgroundhoverimagecolour='5E5E5E', infused_theme_control_linksbackgroundcolour='494A4D', infused_theme_control_submitbordercolour='999999', infused_theme_control_inputboxshadowcolour='336699', infused_theme_control_inputboxcolour='FCFCFC', infused_theme_control_radius='0', infused_theme_control_capmain_start='FFFFFF', infused_theme_control_capmain_end='FFFFFF', infused_theme_control_scapmain_start='af2b26', infused_theme_control_scapmain_end='942422', infused_theme_control_themelinks='438BC5', infused_theme_control_themelinkshover='C52929', infused_theme_control_themetextcolour='555555', infused_theme_control_themecaptextcolour='333333', infused_theme_control_themescaptextcolour='FFFFFF', infused_theme_control_themetextboxbgcolour='EAEAEA', infused_theme_control_themetextboxtextcolour='555555', infused_theme_control_themetextboxbgcolourhover='EDEEF0', infused_theme_control_themetextboxtextcolourhover='555555', infused_theme_control_themesubmitbuttonbgcolour='ECECEC', infused_theme_control_themesubmitbuttontextcolour='3C3C3D', infused_theme_control_themesubmitbuttonbgcolourhover='f6f6f6', infused_theme_control_themesubmitbuttontextcolourhover='3C3C3D', infused_theme_control_themeadminmsgbgcolour='FFE2E2', infused_theme_control_themeadminmsgtextcolour='555555', infused_theme_control_themewidth='90', infused_theme_control_showbanner='0', infused_theme_control_totop='1',  infused_theme_control_showbannerbgcolour='9E2722', infused_theme_control_enableheadstrip='1', infused_theme_control_newsinfopos='1'  WHERE infused_theme_control_bgcolour !=''");
	    redirect(FUSION_SELF.$aidlink."&status=revert");
		}



	$infused_theme_control_settings = dbarray(dbquery("SELECT * FROM ".DB_INFUSED_THEME_SETTINGS));
	$infused_theme_control_bgcolour = stripinput($infused_theme_control_settings['infused_theme_control_bgcolour']);
	$infused_theme_control_shadowcolour = stripinput($infused_theme_control_settings['infused_theme_control_shadowcolour']);
	$infused_theme_control_linkstextcolour = stripinput($infused_theme_control_settings['infused_theme_control_linkstextcolour']);
	$infused_theme_control_linkstexthovercolour = stripinput($infused_theme_control_settings['infused_theme_control_linkstexthovercolour']);
	$infused_theme_control_linksbackgroundhovercolour = stripinput($infused_theme_control_settings['infused_theme_control_linksbackgroundhovercolour']);
	$infused_theme_control_linksbackgroundhoverimagecolour = stripinput($infused_theme_control_settings['infused_theme_control_linksbackgroundhoverimagecolour']);
	$infused_theme_control_linksbackgroundcolour = stripinput($infused_theme_control_settings['infused_theme_control_linksbackgroundcolour']);
	$infused_theme_control_submitbordercolour = stripinput($infused_theme_control_settings['infused_theme_control_submitbordercolour']);
	$infused_theme_control_inputboxshadowcolour  = stripinput($infused_theme_control_settings['infused_theme_control_inputboxshadowcolour']);
	$infused_theme_control_inputboxcolour  = stripinput($infused_theme_control_settings['infused_theme_control_inputboxcolour']);
	$infused_theme_control_radius = stripinput($infused_theme_control_settings['infused_theme_control_radius']);
	$infused_theme_control_capmain_start  = stripinput($infused_theme_control_settings['infused_theme_control_capmain_start']);
	$infused_theme_control_capmain_end  = stripinput($infused_theme_control_settings['infused_theme_control_capmain_end']);
	$infused_theme_control_scapmain_start  = stripinput($infused_theme_control_settings['infused_theme_control_scapmain_start']);
	$infused_theme_control_scapmain_end  = stripinput($infused_theme_control_settings['infused_theme_control_scapmain_end']);
	$infused_theme_control_themelinks  = stripinput($infused_theme_control_settings['infused_theme_control_themelinks']);
	$infused_theme_control_themelinkshover  = stripinput($infused_theme_control_settings['infused_theme_control_themelinkshover']);
	$infused_theme_control_themetextcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themetextcolour']);
	$infused_theme_control_themecaptextcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themecaptextcolour']);
	$infused_theme_control_themescaptextcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themescaptextcolour']);
	$infused_theme_control_themetextboxbgcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themetextboxbgcolour']);
	$infused_theme_control_themetextboxtextcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themetextboxtextcolour']);
	$infused_theme_control_themetextboxbgcolourhover  = stripinput($infused_theme_control_settings['infused_theme_control_themetextboxbgcolourhover']);
	$infused_theme_control_themetextboxtextcolourhover  = stripinput($infused_theme_control_settings['infused_theme_control_themetextboxtextcolourhover']);
	$infused_theme_control_themesubmitbuttonbgcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themesubmitbuttonbgcolour']);
	$infused_theme_control_themesubmitbuttontextcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themesubmitbuttontextcolour']);
	$infused_theme_control_themesubmitbuttonbgcolourhover  = stripinput($infused_theme_control_settings['infused_theme_control_themesubmitbuttonbgcolourhover']);
	$infused_theme_control_themesubmitbuttontextcolourhover  = stripinput($infused_theme_control_settings['infused_theme_control_themesubmitbuttontextcolourhover']);
	$infused_theme_control_themeadminmsgbgcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themeadminmsgbgcolour']);
	$infused_theme_control_themeadminmsgtextcolour  = stripinput($infused_theme_control_settings['infused_theme_control_themeadminmsgtextcolour']);
	$infused_theme_control_themewidth  = stripinput($infused_theme_control_settings['infused_theme_control_themewidth']);
    $infused_theme_control_showbanner = isNum(stripinput($infused_theme_control_settings['infused_theme_control_showbanner']));
	$infused_theme_control_totop = isNum(stripinput($infused_theme_control_settings['infused_theme_control_totop']));
	$infused_theme_control_showbannerbgcolour  = stripinput($infused_theme_control_settings['infused_theme_control_showbannerbgcolour']);
	$infused_theme_control_enableheadstrip  = stripinput($infused_theme_control_settings['infused_theme_control_enableheadstrip']);
	$infused_theme_control_newsinfopos  = stripinput($infused_theme_control_settings['infused_theme_control_newsinfopos']);

	$forma_title = $locale['itc_007'];

	add_to_head("<script type='text/javascript' src='".INFUSIONS."infused_theme_control_panel/includes/jscolor/jscolor.js'></script>");


    echo "<form name='infused_theme_control_settings_form' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
   opentable($locale['itc_031']);
   echo "<table cellpadding='0' cellspacing='0' width='98%'  class='tbl-border center' >\n";

	echo "<tr><td  class='tbl' width='50%' align='left'>".$locale['itc_051']."</td>\n";
	echo "<td  align='left' class='tbl'><select name='infused_theme_control_enableheadstrip' class='textbox'>\n";
	echo "<option value='1'".($infused_theme_control_settings['infused_theme_control_enableheadstrip'] == "1" ? " selected='selected'" : "").">".$locale['itc_047']."</option>\n";
	echo "<option value='0'".($infused_theme_control_settings['infused_theme_control_enableheadstrip'] == "0" ? " selected='selected'" : "").">".$locale['itc_048']."</option>\n";
	echo "</select></td></tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_008'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_bgcolour' value='".$infused_theme_control_bgcolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_009'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_shadowcolour' value='".$infused_theme_control_shadowcolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_015'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_linksbackgroundcolour' value='".$infused_theme_control_linksbackgroundcolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_010'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_linkstextcolour' value='".$infused_theme_control_linkstextcolour."'/></td>";
	echo"</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_011'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_linkstexthovercolour' value='".$infused_theme_control_linkstexthovercolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_012'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_linksbackgroundhovercolour' value='".$infused_theme_control_linksbackgroundhovercolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_013'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_linksbackgroundhoverimagecolour' value='".$infused_theme_control_linksbackgroundhoverimagecolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_016'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_inputboxcolour' value='".$infused_theme_control_inputboxcolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_020'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_submitbordercolour' value='".$infused_theme_control_submitbordercolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_021'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_inputboxshadowcolour' value='".$infused_theme_control_inputboxshadowcolour ."'/></td>\n";
	echo "</tr></table>\n";
	closetable();
	opentable($locale['itc_032']);
	 echo "<table cellpadding='0' cellspacing='0' width='98%' class='tbl-border center' >\n";
		echo" <tr><td  width='50%' class='tbl'>".$locale['itc_044']."</td>";
	echo" <td  align='left' class='tbl'><input class='textbox' maxlength='3' name='infused_theme_control_themewidth' value='".$infused_theme_control_themewidth."' style='width: 35px;'/>% </td>";
	echo"</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_050'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_showbannerbgcolour' value='".$infused_theme_control_showbannerbgcolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_014']."</td>";
	echo" <td  align='left' class='tbl'><input class='textbox' maxlength='2' name='infused_theme_control_radius' value='".$infused_theme_control_radius."' style='width: 35px;'/>px </td>";
	echo"</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_053'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_capmain_start' value='".$infused_theme_control_capmain_start."'/></td>\n";
    echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_054'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_capmain_end' value='".$infused_theme_control_capmain_end."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  class='tbl'>".$locale['itc_022'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_scapmain_start' value='".$infused_theme_control_scapmain_start."'/></td>\n";
    echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_023'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_scapmain_end' value='".$infused_theme_control_scapmain_end."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_027'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themecaptextcolour' value='".$infused_theme_control_themecaptextcolour."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_028'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themescaptextcolour' value='".$infused_theme_control_themescaptextcolour."'/></td>\n";
	echo"</tr>";
	echo" <tr><td  class='tbl'>".$locale['itc_024'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themelinks' value='".$infused_theme_control_themelinks."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td class='tbl'>".$locale['itc_025'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themelinkshover' value='".$infused_theme_control_themelinkshover."'/></td>\n";
	echo "</tr>\n";

	echo" <tr><td  class='tbl'>".$locale['itc_026'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themetextcolour' value='".$infused_theme_control_themetextcolour."'/></td>\n";
	echo "</tr>\n";


	echo" <tr><td class='tbl'>".$locale['itc_034'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themetextboxbgcolour' value='".$infused_theme_control_themetextboxbgcolour."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_035'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themetextboxtextcolour' value='".$infused_theme_control_themetextboxtextcolour."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_036'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themetextboxbgcolourhover' value='".$infused_theme_control_themetextboxbgcolourhover."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_037'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themetextboxtextcolourhover' value='".$infused_theme_control_themetextboxtextcolourhover."'/></td>\n";
	echo"</tr>";

	echo" <tr><td class='tbl'>".$locale['itc_038'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themesubmitbuttonbgcolour' value='".$infused_theme_control_themesubmitbuttonbgcolour."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_039'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themesubmitbuttontextcolour' value='".$infused_theme_control_themesubmitbuttontextcolour."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_040'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themesubmitbuttonbgcolourhover' value='".$infused_theme_control_themesubmitbuttonbgcolourhover."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_041'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themesubmitbuttontextcolourhover' value='".$infused_theme_control_themesubmitbuttontextcolourhover."'/></td>\n";
	echo"</tr>";



		echo" <tr><td class='tbl'>".$locale['itc_042'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themeadminmsgbgcolour' value='".$infused_theme_control_themeadminmsgbgcolour."'/></td>\n";
	echo"</tr>";

		echo" <tr><td class='tbl'>".$locale['itc_043'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='infused_theme_control_themeadminmsgtextcolour' value='".$infused_theme_control_themeadminmsgtextcolour."'/></td>\n";
	echo"</tr>";
	echo"</table>\n";



	   opentable("Theme Settings");
   echo "<table cellpadding='0' cellspacing='0' width='98%'  class='tbl-border center' >\n";
	echo "<tr><td  class='tbl' width='50%' align='left'>".$locale['itc_046'].":</td>\n";
	echo "<td  align='left' class='tbl'><select name='infused_theme_control_showbanner' class='textbox'>\n";
	echo "<option value='1'".($infused_theme_control_settings['infused_theme_control_showbanner'] == "1" ? " selected='selected'" : "").">".$locale['itc_047']."</option>\n";
	echo "<option value='0'".($infused_theme_control_settings['infused_theme_control_showbanner'] == "0" ? " selected='selected'" : "").">".$locale['itc_048']."</option>\n";
	echo "</select></td></tr>\n";
	echo "<tr><td  class='tbl' width='50%' align='left'>Pozycja Newsa:</td>\n";
	echo "<td  align='left' class='tbl'><select name='infused_theme_control_newsinfopos' class='textbox'>\n";
	echo "<option value='1'".($infused_theme_control_settings['infused_theme_control_newsinfopos'] == "1" ? " selected='selected'" : "").">Na gorze</option>\n";
	echo "<option value='0'".($infused_theme_control_settings['infused_theme_control_newsinfopos'] == "0" ? " selected='selected'" : "").">Na dole</option>\n";
	echo "</select></td></tr>\n";
echo "<tr><td  class='tbl' width='50%' align='left'>".$locale['itc_049'].":</td>\n";
	echo "<td  align='left' class='tbl'><select name='infused_theme_control_totop' class='textbox'>\n";
	echo "<option value='1'".($infused_theme_control_settings['infused_theme_control_totop'] == "1" ? " selected='selected'" : "").">".$locale['itc_047']."</option>\n";
	echo "<option value='0'".($infused_theme_control_settings['infused_theme_control_totop'] == "0" ? " selected='selected'" : "").">".$locale['itc_048']."</option>\n";
	echo "</select></td></tr>\n";
	echo "</table>\n";
	closetable();



    echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	echo "<input type='submit' class='button' name='save' value='".$locale['itc_017']."' />\n";
	echo "</td></tr>\n";
	echo "</table>\n";
	 echo" <div style='text-align:center; margin-top: 5px;'>[<a href='".FUSION_SELF.$aidlink."&amp;action=revert' onclick=\"return confirm('".$locale['itc_029']."');\">".$locale['itc_030']."</a>]</div>\n";

    echo "</form>\n";
    closetable();
add_to_footer("<script type='text/javascript'>
function ValidateForm(frm) {

	if(frm.infused_theme_control_radius.value=='') {
		alert('".$locale['itc_018']."');
		return false;
	}

	if(isNaN(frm.infused_theme_control_radius.value)) {
		alert('".$locale['itc_019']."');
		return false;
	}

	if(isNaN(frm.infused_theme_control_themewidth.value)) {
		alert('".$locale['itc_019']."');
		return false;
	}

	if(frm.infused_theme_control_themewidth.value=='') {
		alert('".$locale['itc_045']."');
		return false;
	}

}
</script>");
require_once THEMES."templates/footer.php";
?>
