<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Developers: Nick Jones (Digitanium), Craig 
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."infused_theme_control_panel/infusion_db.php";

if (file_exists(INFUSIONS."infused_theme_control_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."infused_theme_control_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."infused_theme_control_panel/locale/English.php";
}

$inf_title = $locale['inf_title'];
$inf_version = "1.00";
$inf_developer = "PHP-Fusion Mods UK";
$inf_weburl = "http://www.phpfusionmods.co.uk";
$inf_email = "admin@phpfusionmods.co.uk";
$inf_folder = "infused_theme_control_panel";
$inf_description = $locale['itc_002'];

$inf_newtable[1] = DB_INFUSED_THEME_LINKS." (
link_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
link_name VARCHAR(100) DEFAULT '' NOT NULL,
link_url VARCHAR(200) DEFAULT '' NOT NULL,
link_visibility TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
link_window TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
link_order SMALLINT(2) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (link_id)
) ENGINE = MyISAM;";

$inf_newtable[2] = DB_INFUSED_THEME_SETTINGS." (
infused_theme_control_bgcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_shadowcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_linkstextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_linkstexthovercolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_linksbackgroundhovercolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_linksbackgroundhoverimagecolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_linksbackgroundcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_submitbordercolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_inputboxshadowcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_inputboxcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_radius VARCHAR(2) NOT NULL DEFAULT '',
infused_theme_control_capmain_start VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_capmain_end VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_scapmain_start VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_scapmain_end VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themelinks VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themelinkshover VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themetextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themecaptextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themescaptextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themetextboxbgcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themetextboxtextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themetextboxbgcolourhover VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themetextboxtextcolourhover VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themesubmitbuttonbgcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themesubmitbuttontextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themesubmitbuttonbgcolourhover VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themesubmitbuttontextcolourhover VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themeadminmsgbgcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themeadminmsgtextcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_themewidth TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
infused_theme_control_showbanner TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
infused_theme_control_totop TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
infused_theme_control_showbannerbgcolour VARCHAR(6) NOT NULL DEFAULT '',
infused_theme_control_enableheadstrip TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
infused_theme_control_newsinfopos TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (infused_theme_control_bgcolour)
) ENGINE=MyISAM;";


$inf_insertdbrow[1] = DB_INFUSED_THEME_SETTINGS." (infused_theme_control_bgcolour, infused_theme_control_shadowcolour, infused_theme_control_linkstextcolour, infused_theme_control_linkstexthovercolour, infused_theme_control_linksbackgroundhovercolour, infused_theme_control_linksbackgroundhoverimagecolour, infused_theme_control_linksbackgroundcolour, infused_theme_control_submitbordercolour, infused_theme_control_inputboxshadowcolour, infused_theme_control_inputboxcolour, infused_theme_control_radius, infused_theme_control_capmain_start, infused_theme_control_capmain_end, infused_theme_control_scapmain_start, infused_theme_control_scapmain_end, infused_theme_control_themelinks, infused_theme_control_themelinkshover, infused_theme_control_themetextcolour, infused_theme_control_themecaptextcolour, infused_theme_control_themescaptextcolour, infused_theme_control_themetextboxbgcolour, infused_theme_control_themetextboxtextcolour, infused_theme_control_themetextboxbgcolourhover, infused_theme_control_themetextboxtextcolourhover, infused_theme_control_themesubmitbuttonbgcolour, infused_theme_control_themesubmitbuttontextcolour, infused_theme_control_themesubmitbuttonbgcolourhover, infused_theme_control_themesubmitbuttontextcolourhover, infused_theme_control_themeadminmsgbgcolour, infused_theme_control_themeadminmsgtextcolour, infused_theme_control_themewidth, infused_theme_control_showbanner, infused_theme_control_totop, infused_theme_control_showbannerbgcolour, infused_theme_control_enableheadstrip, infused_theme_control_newsinfopos) VALUES ('af2b26', '942422', 'FFFFFF', 'FFFFFF', '5C5D61', '5E5E5E', '494A4D', '999999', '336699', 'FCFCFC', '0', 'FFFFFF', 'FFFFFF', 'af2b26', '942422', '438BC5', 'C52929', '555555', '333333', 'FFFFFF', 'EAEAEA', '555555', 'EDEEF0', '555555', 'ECECEC', '3C3C3D', 'F6F6F6', '3C3C3D', 'FFE2E2', '555555', '90', '0', '1', '9E2722', '1', '1')";

$inf_droptable[1] = DB_INFUSED_THEME_LINKS;

$inf_droptable[2] = DB_INFUSED_THEME_SETTINGS;

$inf_adminpanel[1] = array(
    "title" => $locale['itc_001'], 
    "image" => "image.gif",
    "panel" => "infused_theme_control_panel_settings.php", 
    "rights" => "IFC" 
);


?>